List activity logs
Returns a paginated list of activity log entries for the authenticated organization. Supports filtering by action, resource_type, and resource_id.
Authorization
BearerAuth AuthorizationBearer <token>
API key authentication. Use your API key as the bearer token.
In: header
Query Parameters
limit?integer
starting_after?string
action?string
resource_type?string
resource_id?string
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/activity"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
"action": "string",
"resource_type": "string",
"resource_id": "4d5215ed-38bb-48ed-879a-fdb9ca58522f",
"actor_type": "string",
"actor_id": "string",
"metadata": {
"property1": null,
"property2": null
},
"created_at": "2019-08-24T14:15:22Z"
}
],
"has_more": true
}{
"error": {
"code": "string",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}